ITPub博客

首页 > Linux操作系统 > Linux操作系统 > Oracle RAC 11.2.0.2 Grid 安装先决条件检查之pdksh 包

Oracle RAC 11.2.0.2 Grid 安装先决条件检查之pdksh 包

原创 Linux操作系统 作者:wlot378 时间:2012-04-22 02:22:14 0 删除 编辑

============================================================

Linux平台 Oracle? Database 11g Release 2 (11.2.0.2) RAC for RedHat6.1虚拟机实施实录


Oracle RAC 11.2.0.2 Grid 安装先决条件检查之pdksh 包
2012/4/22 1:59 


============================================================


问题描述

在使用vmware虚拟机(7.0)RedHat Linux6.1环境下使用ASM配置Oracle Database 11g release 2 (11.2.0.2 64-bit) RAC 的实施过程中,进行

 11.2.0.2 Grid 安装时,到先决条件检查这一步出现几个失败项,本文简要描述缺少pdksh 包的解决办法


详情如下:

Package: pdksh-5.2.14 - This is a prerequisite condition to test whether the package "pdksh-5.2.14" is available on the system.
  Check Failed on Nodes: [rhel6_2,  rhel6_1]  
Verification result of failed node: rhel6_2 
Expected Value : pdksh-5.2.14( x86_64)
Actual Value : missing
 List of errors: 
 - 
PRVF-7532 : Package "
pdksh-5.2.14( x86_64)" is missing on node "rhel6_2"  - Cause:  A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.  - Action:  Ensure that the required package is installed and available. 
Back to Top  
Verification result of failed node: rhel6_1 
Expected Value : pdksh-5.2.14( x86_64)
Actual Value : missing
 List of errors: 
 - 
PRVF-7532 : Package "
pdksh-5.2.14( x86_64)" is missing on node "rhel6_1"  - Cause:  A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.  - Action:  Ensure that the required package is installed and available. 

Back to Top  


解决办法

找到pdksh包安装即可,

注意:如果提示与ksh冲突,则需要先卸载ksh

[01:21:59root@rhel6_1 ~]>rz

rz waiting to receive.

Starting zmodem transfer.  Press Ctrl+C to cancel.

Transferring pdksh-5.2.14-37.el5.x86_64 (1).rpm...

  100%     205 KB  205 KB/s 00:00:01       0 Errors

?[01:22:37root@rhel6_1 ~]>ls

anaconda-ks.cfg  install.log.syslog                  pdksh-5.2.14-940.1.3.x86_64.rpm

install.log      pdksh-5.2.14-37.el5.x86_64 (1).rpm

[01:22:39root@rhel6_1 ~]>rpm -ivh pdksh-5.2.14-37.el5.x86_64\ \(1\).rpm 

warning: pdksh-5.2.14-37.el5.x86_64 (1).rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY

error: Failed dependencies:

        pdksh conflicts with ksh-20100621-6.el6.x86_64

提示与ksh冲突,需要先卸载ksh.

[01:22:50root@rhel6_1 ~]>rpm -qa |grep ksh

ksh-20100621-6.el6.x86_64

[01:23:51root@rhel6_1 ~]>rpm -e ksh-20100621-6.el6.x86_64

[01:24:27root@rhel6_1 ~]>rpm -ivh pdksh-5.2.14-37.el5.x86_64\ \(1\).rpm 

warning: pdksh-5.2.14-37.el5.x86_64 (1).rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY

Preparing...                ########################################### [100%]

   1:pdksh                  ########################################### [100%]

[01:24:41root@rhel6_1 ~]>

a1-450.jpg

a1-459.jpg

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/21162451/viewspace-721930/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2010-06-07

  • 博文量
    30
  • 访问量
    204100